4 ms·
TOTP codes acceptable to Github etc. can be generated via oathtool - Open AuTHentication (OATH) one-time password tool OATH Toolkit provide component
by mistrial9 3y ago
TOTP codes acceptable to Github etc. can be generated via
oathtool - Open AuTHentication (OATH) one-time password tool
OATH Toolkit provide components to build one-time password
authentication systems. It contains shared C libraries, command line
tools and a PAM module. Supported technologies include the
event-based HOTP algorithm (RFC 4226), the time-based TOTP algorithm
(RFC 6238), and Portable Symmetric Key Container (PSKC, RFC 6030) to
manage secret key data. OATH stands for Open AuTHentication, which is
the organization that specify the algorithms.
- 22c 3y agoI use an alias to oathtool to generate OTPs. It seems like this method at least keeps the secret key inside 2FAS backups, so it's probably slightly better opsec.